Bug 1111216 - [fix available] LibreOffice Calc: PDF export of an empty document fails with Write Error
Summary: [fix available] LibreOffice Calc: PDF export of an empty document fails with ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.0
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1119709
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 13:34 UTC by Milan Barta
Modified: 2015-03-05 08:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 08:50:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0377 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2015-03-05 13:48:57 UTC

Description Milan Barta 2014-06-19 13:34:13 UTC
Description of problem:
When exporting an empty LO Calc document to PDF, the export fails with Write Error. Any other (Writer, Impress, Draw) empty document can be exported to PDF without an error.

The Error message: Error saving the document Unittled1: Write Error. The file could not be written.

If the possibility of exporting an empty Calc document isn't fixed, the error message should at least explain why the export failed and not only state that the file couldn't be written.

Version-Release number of selected component (if applicable):
libreoffice-core-4.1.4.2-3.el7.x86_64
libreoffice-calc-4.1.4.2-3.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open LibreOffice Calc with new empty document
2. Without editing the document click File -> Export as PDF... menu and save the file

Actual results:
Write Error message appears and the PDF file is not saved.

Expected results:
An empty PDF file is saved (as it is possible to do in Writer, Impress and Draw)

Additional info:

Comment 2 Jiri Koten 2014-11-19 13:32:33 UTC
Not fixed, still getting the same error

libreoffice-4.2.6.3-3.el7

Comment 3 David Tardon 2014-11-21 12:31:39 UTC
The patch got lost during the rebase...

Comment 7 errata-xmlrpc 2015-03-05 08:50:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0377.html


Note You need to log in before you can comment on or make changes to this bug.